<nav>
    <ul>
      <div class="logo">
        <a class="left-logo" href=""><i style="font-size: 40px" class="fas fa-shipping-fast">&nbsp; </i></a>
        <img class="img" src="../assets/images/1654799660250-removebg-preview.png" alt="logo" />
      </div>
      <div class="input-feild">
        <input class="input" type="text" placeholder="Search for products, brands and more" autocomplete="off" />
  
        <button class="icon" type="submit">
          <svg width="26" height="26" viewBox="0 0 17 18" class="search" xmlns="http://www.w3.org/2000/svg">
            <g fill="#2874F1" fill-rule="evenodd">
              <path class="_34RNph"
                d="m11.618 9.897l4.225 4.212c.092.092.101.232.02.313l-1.465 1.46c-.081.081-.221.072-.314-.02l-4.216-4.203">
              </path>
              <path class="_34RNph"
                d="m6.486 10.901c-2.42 0-4.381-1.956-4.381-4.368 0-2.413 1.961-4.369 4.381-4.369 2.42 0 4.381 1.956 4.381 4.369 0 2.413-1.961 4.368-4.381 4.368m0-10.835c-3.582 0-6.486 2.895-6.486 6.467 0 3.572 2.904 6.467 6.486 6.467 3.582 0 6.486-2.895 6.486-6.467 0-3.572-2.904-6.467-6.486-6.467">
              </path>
            </g>
          </svg>
        </button>
      </div>
      <div class="nav-link">
        <li>
          <a class="right-anchor" routerLink="" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">Home</a>
        </li>
        <li><a  routerLink="products" routerLinkActive="active">Products</a></li>
        <li><a routerLink="about" routerLinkActive="active">About</a></li>
        <button routerLink="cart" class="btn btn-primary">
          <i style="font-size: 30px" class="fas fa-cart-plus"></i>
          <div style="font-size: 10px" class="badge bg-danger">
            {{ totalItem }}
          </div>
        </button>
      </div>
    </ul>
  </nav>

  <router-outlet></router-outlet>